View Issue Details

IDProjectCategoryView StatusLast Update
0018146CentOS-7gdmpublic2021-04-16 01:08
ReporterAlanR Assigned To 
PriorityhighSeveritycrashReproducibilityrandom
Status newResolutionopen 
Product Version7.9.2009 
Summary0018146: Gnome desktop randomly crashes
DescriptionOriginally had 7.5 installed with no issues, upgraded to 7.8 for security updates and began having issues with the desktop gui randomly crashing.
Did some research on the web, suspected it might be a graphics card driver issue. Tried Nvidia driver, as I have a Nvidia G86 [Quadro NVS 290] card, but this gave me other issues.
Reverted back to nouveau driver and original issue came back. Upgraded to 7.9, same issue still present.
Steps To ReproduceIssue has happened when I am locally logged in, have a firefox session opened with video playing, an emacs session opened in python-mode, and a couple of terminal's opened.
Additional Informationdmesg reports:

[ 4582.348209] ------------[ cut here ]------------
[ 4582.348250] WARNING: CPU: 0 PID: 4568 at drivers/gpu/drm/nouveau/nvif/vmm.c:71 nvif_vmm_put+0x86/0x90 [nouveau]
[ 4582.348251] Modules linked in: tcp_lp xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun devlink ip6t_rpfilter
 ip6t_REJECT nf_reject_ipv6 nf_log_ipv6 ipt_REJECT nf_reject_ipv4 nf_log_ipv4 nf_log_common xt_LOG xt_conntrack ebta
ble_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6t
able_security ip6table_raw iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat iptable_mangle iptable_se
curity iptable_raw nf_conntrack libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptabl
e_filter dm_mirror dm_region_hash dm_log dm_mod intel_powerclamp coretemp intel_rapl iosf_mbi kvm_intel ipmi_ssif kv
m iTCO_wdt iTCO_vendor_support irqbypass crc32_pclmul snd_usb_audio snd_usbmidi_lib snd_hwdep snd_rawmidi snd_seq
[ 4582.348277] snd_seq_device ghash_clmulni_intel cryptd snd_pcm sg pcspkr joydev snd_timer snd ipmi_si soundcore l
pc_ich hpilo hpwdt ipmi_devintf ipmi_msghandler pcc_cpufreq acpi_power_meter nfsd auth_rpcgss nfs_acl lockd grace su
nrpc ip_tables ext4 mbcache jbd2 raid1 sd_mod crc_t10dif crct10dif_generic nouveau ahci libahci video mxm_wmi wmi i2
c_algo_bit crct10dif_pclmul crct10dif_common libata drm_kms_helper crc32c_intel syscopyarea sysfillrect serio_raw sy
simgblt fb_sys_fops ttm tg3 drm ptp pps_core drm_panel_orientation_quirks fuse
[ 4582.348302] CPU: 0 PID: 4568 Comm: kworker/0:0 Kdump: loaded Not tainted 3.10.0-1160.21.1.el7.x86_64 #1
[ 4582.348304] Hardware name: HP ProLiant ML10 v2, BIOS J10 02/02/2015
[ 4582.348334] Workqueue: events nouveau_cli_work [nouveau]
[ 4582.348335] Call Trace:
[ 4582.348341] [<ffffffffba98305a>] dump_stack+0x19/0x1b
[ 4582.348344] [<ffffffffba29b1b8>] __warn+0xd8/0x100
[ 4582.348347] [<ffffffffba29b2fd>] warn_slowpath_null+0x1d/0x20
[ 4582.348365] [<ffffffffc0351d56>] nvif_vmm_put+0x86/0x90 [nouveau]
[ 4582.348394] [<ffffffffc041eb86>] nouveau_vma_del+0x76/0xa0 [nouveau]
[ 4582.348421] [<ffffffffc041b7ea>] nouveau_gem_object_delete_work+0x3a/0x60 [nouveau]
[ 4582.348447] [<ffffffffc041590a>] nouveau_cli_work+0xba/0xf0 [nouveau]
[ 4582.348450] [<ffffffffba2bddcf>] process_one_work+0x17f/0x440
[ 4582.348453] [<ffffffffba2beee6>] worker_thread+0x126/0x3c0
[ 4582.348455] [<ffffffffba2bedc0>] ? manage_workers.isra.26+0x2a0/0x2a0
[ 4582.348457] [<ffffffffba2c5da1>] kthread+0xd1/0xe0
[ 4582.348460] [<ffffffffba2c5cd0>] ? insert_kthread_work+0x40/0x40
[ 4582.348462] [<ffffffffba995df7>] ret_from_fork_nospec_begin+0x21/0x21
[ 4582.348464] [<ffffffffba2c5cd0>] ? insert_kthread_work+0x40/0x40
[ 4582.348466] ---[ end trace 29c6e50f81a85eef ]---

and found this in Xorg.0.log:

[ 7819.874] (EE)
[ 7819.874] (EE) Backtrace:
[ 7819.874] (EE) 0: /usr/bin/X (xorg_backtrace+0x55) [0x5564dcace645]
[ 7819.874] (EE) 1: /usr/bin/X (0x5564dc91d000+0x1b52c9) [0x5564dcad22c9]
[ 7819.874] (EE) 2: /lib64/libpthread.so.0 (0x7f42df732000+0xf630) [0x7f42df741630]
[ 7819.874] (EE) 3: /usr/lib64/dri/nouveau_dri.so (0x7f42d9347000+0x15c457) [0x7f42d94a3457]
[ 7819.874] (EE) 4: /usr/lib64/dri/nouveau_dri.so (0x7f42d9347000+0x1d1333) [0x7f42d9518333]
[ 7819.874] (EE) 5: /usr/lib64/dri/nouveau_dri.so (0x7f42d9347000+0x275dba) [0x7f42d95bcdba]
[ 7819.874] (EE) 6: /usr/lib64/dri/nouveau_dri.so (0x7f42d9347000+0x1d1fa4) [0x7f42d9518fa4]
[ 7819.874] (EE) 7: /usr/lib64/dri/nouveau_dri.so (0x7f42d9347000+0x1d21fa) [0x7f42d95191fa]
[ 7819.874] (EE) 8: /usr/lib64/xorg/modules/libglamoregl.so (0x7f42db0ee000+0x1c7ed) [0x7f42db10a7ed]
[ 7819.874] (EE) 9: /usr/lib64/xorg/modules/libglamoregl.so (0x7f42db0ee000+0x18936) [0x7f42db106936]
[ 7819.874] (EE) 10: /usr/lib64/xorg/modules/libglamoregl.so (0x7f42db0ee000+0x18dd8) [0x7f42db106dd8]
[ 7819.874] (EE) 11: /usr/lib64/xorg/modules/libglamoregl.so (0x7f42db0ee000+0xf4fc) [0x7f42db0fd4fc]
[ 7819.874] (EE) 12: /usr/bin/X (0x5564dc91d000+0x13f2bf) [0x5564dca5c2bf]
[ 7819.874] (EE) 13: /usr/bin/X (0x5564dc91d000+0x5a635) [0x5564dc977635]
[ 7819.874] (EE) 14: /usr/bin/X (0x5564dc91d000+0x5db4b) [0x5564dc97ab4b]
[ 7819.874] (EE) 15: /usr/bin/X (0x5564dc91d000+0x61b9a) [0x5564dc97eb9a]
[ 7819.874] (EE) 16: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x7f42df386555]
[ 7819.874] (EE) 17: /usr/bin/X (0x5564dc91d000+0x4bc8e) [0x5564dc968c8e]
[ 7819.874] (EE)
[ 7819.874] (EE) Bus error at address 0x0
[ 7819.874] (EE)
Fatal server error:
[ 7819.874] (EE) Caught signal 7 (Bus error). Server aborting
[ 7819.874] (EE)
[ 7819.874] (EE)
Please consult the The X.Org Foundation support
         at http://wiki.x.org
 for help.
[ 7819.874] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[ 7819.874] (EE)
[ 7819.875] (II) AIGLX: Suspending AIGLX clients for VT switch
[ 7819.893] (EE) Server terminated with error (1). Closing log file.


TagsNo tags attached.
abrt_hash
URL

Activities

ManuelWolfshant

ManuelWolfshant

2021-04-08 07:37

manager   ~0038369

Please try using an alternative kernel, for instance kernel-lt from the ElRepo repository. If this solves your issue and the system keeps crashing when using the latest CentOS kernel ( mind that a new one will be pushed very soon ), please file a bug at bugzilla.redhat.com and pray for the best. RHEL 7 is in maintenance mode and only bugs that RH decides that are "important" get fixed :(
AlanR

AlanR

2021-04-16 00:06

reporter   ~0038384

I installed an nvidia driver from ElRepo repository, and it seems to have fixed the issue, thanks for your help Manuel.
ManuelWolfshant

ManuelWolfshant

2021-04-16 01:08

manager   ~0038385

So you basically confirmed a bug in the nouveau driver. Sad panda :(

Issue History

Date Modified Username Field Change
2021-04-08 03:04 AlanR New Issue
2021-04-08 07:37 ManuelWolfshant Note Added: 0038369
2021-04-16 00:06 AlanR Note Added: 0038384
2021-04-16 01:08 ManuelWolfshant Note Added: 0038385